Module RMail::Mailbox

In: | lib/rmail/mailbox.rb lib/rmail/mailbox/mboxreader.rb

The RMail::Mailbox module contains a few methods that are useful for working with mailboxes.

Methods

parse_mbox

Classes and Modules

Class RMail::Mailbox::MBoxReader

Public Class methods

parse_mbox(input, line_separator = $/) {|raw_message| ...}

Parse a Unix mbox style mailbox. These mailboxes searate individual messages with a line beginning with the string "From ".

If a block is given, yields to the block with the raw message (a string), otherwise an array of raw message strings is returned.